Debian Bug report logs - #592135
ITP: color -- create ANSI escape codes to color shell output

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: ilf <ilf@zeromail.org>

Date: Sat, 7 Aug 2010 18:06:09 UTC

Owned by: Jari Aalto <jari.aalto@cante.net>

Severity: wishlist

Merged with 640187

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592135; Package wnpp. (Sat, 07 Aug 2010 18:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to ilf <ilf@zeromail.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 07 Aug 2010 18:06:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ilf <ilf@zeromail.org>
To: submit@bugs.debian.org
Subject: RFP: color - create ANSI escape codes to color shell output
Date: Sat, 7 Aug 2010 19:58:12 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

From the original README:

--- <snip> ---

ABOUT
-----
Color is a convenience tool to ease the use of ANSI coloring in your 
shell scripts by hiding the escape sequences through command 
substitution.

INVOKING
--------
Invoke color with no parameters to see usage information and an example. 
Be sure your terminal supports ANSI escape sequences! :-)

USING
-----
To use ANSI color in your shell scripts, place a color command, wrapped 
in $() or `` depending on your shell, before the text you want 
colorized, and then a $(color off) after the text.

EXAMPLE
-------
#!/bin/bash
echo -n "We have $(color bd)bold$(color off), $(color red)red$(color 
off), "
echo "and $(color ltcyan magenta)light cyan on magenta$(color off)."

Note: on some terminals, bold and underline may appear simply as 
different colors instead of actually being bold or underlined. This is a 
function of your terminal program, not Color.

--- snip ---

The program was written by Moshe Jacobson <moshe@runslinux.net>, the 
current version 1.10 was released in 2001.

Unfortunately, the original Homepage is now dead: 
http://runslinux.net/projects.html#color
Here's a version from archive.org: 
http://web.archive.org/web/20030202100223/http://runslinux.net/projects.html#color
describing it this way:

--- snip ---

Color is a nifty little utility that you can call from shell scripts, 
that will let you easily use ANSI escape codes (for colors, bold, 
underline, etc) to your shell scripts without having to memorize 
\033[1;31m and type it every time you want a little red... Color started 
out as a quick hack written in Bash. I put it on Freshmeat and it got so 
many downloads that I realized it would be worth it to rewrite it in a 
faster language, so now it's in C, and is very fast. If you're a shell 
scripter, I know you'll like this.

--- snip ---

The release can still be found on the net, f.e. here: 
http://www.sourcefiles.org/Utilities/Configuration/color-1.1.tar.gz

I put a copy here: http://drop.io/itg91yj/asset/color-1-1-tar-gz

It's licensed under GNU GPL v2: http://www.gnu.org/licenses/gpl-2.0.html

It has spawned compatible re-writes:
- in Bash: https://code.google.com/p/ansi-color/
- in Ada: https://code.google.com/p/acolor/

I'd be really happy, if someone found this useful enough to package it.

-- 
ilf						   @jabber.berlin.ccc.de

Über 80 Millionen Deutsche benutzen keine Konsole. Klick dich nicht weg!
		-- Eine Initiative des Bundesamtes für Tastaturbenutzung
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFP: color -- create ANSI escape codes to color shell output' from 'RFP: color - create ANSI escape codes to color shell output' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 08 Aug 2010 13:27:32 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: color -- create ANSI escape codes to color shell output' from 'RFP: color -- create ANSI escape codes to color shell output' Request was from Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 16:33:06 GMT) Full text and rfc822 format available.

Owner recorded as Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>. Request was from Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 16:33:07 GMT) Full text and rfc822 format available.

Forcibly Merged 592135 640187. Request was from Bart Martens <bartm@ravel.debian.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 06:51:06 GMT) Full text and rfc822 format available.

Owner recorded as Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>. Request was from Bart Martens <bartm@ravel.debian.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 06:57:03 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, yogesh.bhavsar1989@gmail.com, wnpp@debian.org, Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>:
Bug#592135; Package wnpp. (Mon, 04 Mar 2013 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to yogesh.bhavsar1989@gmail.com, wnpp@debian.org, Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>. (Mon, 04 Mar 2013 08:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 592135@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 592135@bugs.debian.org, Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>
Subject: Re: ITP: color -- create ANSI escape codes to color shell output
Date: Mon, 04 Mar 2013 10:06:34 +0200
Yogesh,

The ITP at <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592135> is
from 2011-09-25.

Please let me know if there is anything that should delay packaging this
software. I'm planning to mark this bug "noowner" and ITP it in a short
while.

Jari



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>:
Bug#592135; Package wnpp. (Thu, 07 Mar 2013 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>. (Thu, 07 Mar 2013 06:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 592135@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: control@bugs.debian.org, 592135@bugs.debian.org, Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>
Subject: ITP: color -- create ANSI escape codes to color shell output
Date: Thu, 07 Mar 2013 08:14:32 +0200
retitle 592135 ITP: color -- create ANSI escape codes to color shell output
noowner 592135
owner 592135 !
thanks

Yogesh,

I'm mostly finished packaging. Please let me know if there is anything that
should delay the upload.

Jari



Removed annotation that Bug was owned by Yogesh Bhavsar <yogesh.bhavsar1989@gmail.com>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Thu, 07 Mar 2013 06:18:05 GMT) Full text and rfc822 format available.

Owner recorded as Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Thu, 07 Mar 2013 06:18:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:17:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.